clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
clang::rename::NamedDeclFindingConsumer Struct Reference
Inheritance diagram for clang::rename::NamedDeclFindingConsumer:
[legend]
Collaboration diagram for clang::rename::NamedDeclFindingConsumer:
[legend]

## Public Member Functions
void | HandleTranslationUnit (ASTContext &Context) override

## Public Attributes
unsigned | SymbolOffset
std::string * | SpellingName
std::vector< std::string > * | USRs

## Detailed Description

Definition at line 66 of file USRFindingAction.cpp.

## Member Function Documentation

void clang::rename::NamedDeclFindingConsumer::HandleTranslationUnit | ( | ASTContext & | Context | ) |
| inline override

Definition at line 67 of file USRFindingAction.cpp.

References clang::rename::getAllConstructorUSRs(), clang::rename::getNamedDeclAt(), clang::rename::getUSRForDecl(), Point, SourceMgr, and SymbolOffset().

## Member Data Documentation

std::string* clang::rename::NamedDeclFindingConsumer::SpellingName

Definition at line 102 of file USRFindingAction.cpp.

unsigned clang::rename::NamedDeclFindingConsumer::SymbolOffset

Definition at line 101 of file USRFindingAction.cpp.

std::vector<std::string>* clang::rename::NamedDeclFindingConsumer::USRs

Definition at line 103 of file USRFindingAction.cpp.

The documentation for this struct was generated from the following file:

- USRFindingAction.cpp